Skip to main content
GET
/
v3
/
asset
/
transfer
/
history
cURL
curl --request GET \
  --url https://api.woox.io/v3/asset/transfer/history \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-signature: <x-api-signature>' \
  --header 'x-api-timestamp: <x-api-timestamp>'
import requests

url = "https://api.woox.io/v3/asset/transfer/history"

headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};

fetch('https://api.woox.io/v3/asset/transfer/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "success": true,
    "data": {
        "rows": [
            {
                "id":225,
                "token":"USDT",
                "amount": "1000000",
                "status":"COMPLETED",
                "from": {
                  "applicationId": "046b5c5c-5b44-4d27-9593-ddc32c0a08ae",
                  "accountName": "Main"
                },
                "to": {
                  "applicationId": "082ae5ae-e26a-4fb1-be5b-03e5b4867663",
                  "accountName": "sub001"
                }
                "createdTime":"1642660941.534",
                "updatedTime":"1642660941.950"
            },
        ],
        "meta": {
            "total": 46,
            "recordsPerPage": 1,
            "currentPage": 1
        }
    },
    "timestamp": 1721295317627
}

Limit: 20 requests per 60 seconds
Get account token balance change history
{
    "success": true,
    "data": {
        "rows": [
            {
                "id":225,
                "token":"USDT",
                "amount": "1000000",
                "status":"COMPLETED",
                "from": {
                  "applicationId": "046b5c5c-5b44-4d27-9593-ddc32c0a08ae",
                  "accountName": "Main"
                },
                "to": {
                  "applicationId": "082ae5ae-e26a-4fb1-be5b-03e5b4867663",
                  "accountName": "sub001"
                }
                "createdTime":"1642660941.534",
                "updatedTime":"1642660941.950"
            },
        ],
        "meta": {
            "total": 46,
            "recordsPerPage": 1,
            "currentPage": 1
        }
    },
    "timestamp": 1721295317627
}

Headers

x-api-key
string
required
Example:

"abcdef123456"

x-api-signature
string
required
Example:

"signaturestring"

x-api-timestamp
string
required
Example:

"1718943200000"

Query Parameters

startTime
integer

start www time in unix timestamp

endTime
integer

end time in unix timestamp

page
integer
default:1

the page you wish to query.

size
integer
default:25

the page size you wish to query, default = 25, 1000 at max.

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object